 \version "2.4.2"
    \header {
        title= "Alas, what hope of speeding"
        subtitle= "from '' The First Set of English  Madrigals "
        subsubtitle= "To 3. 4. 5. and 6. voices: Newly Composed by Iohn Wilbye'' 1598"
        composer= "John Wilbye"
        arranger= "edited by A.Stenberg"
        instrument= "Score"
        copyright= "\copyright 2005 by Anders Stenberg under
        the CPDL- license"
    }
     global = {
       % incipit
       \once \override Score.SystemStartBracket #'transparent = ##t
       \key c \major
       \time 4/4
       \once \override Staff.TimeSignature #'style = #'neomensural
       \override Voice.NoteHead #'style = #'neomensural
       \override Voice.Rest #'style = #'neomensural
       \set Staff.printKeyCancellation = ##f
       \cadenzaOn % turn off bar lines
       \skip 1*2
       \once \override Staff.BarLine #'transparent = ##f
       \bar "||"
       \skip 1*1 % need this extra \skip such that clef change comes
                 % after bar line
       \bar ""

       % main
       \cadenzaOff % turn bar lines on again
       \once \override Staff.Clef #'full-size-change = ##t
       \set Staff.forceClef = ##t
       \key c \major
       \time 2/2
       \override Voice.NoteHead #'style = #'default
       \override Voice.Rest #'style = #'default

       % FIXME: setting printKeyCancellation back to #t must not
       % occur in the first bar after the incipit.  Dto. for forceClef.
       % Therefore, we need an extra \skip.
       \skip 1*1
       \set Staff.printKeyCancellation = ##t
       \set Staff.forceClef = ##f

       \skip 1*27

       % last bar of section contains a longa (i.e., spans 4 bars);
       % therefore do not draw this particular bar
       \cadenzaOn
       \skip 1*4
       \cadenzaOff

       % let finis bar go through all staves
      \once \override Staff.BarLine #'transparent = ##f

       % finis bar
       \bar "||"

       \skip 1*32

       % last bar contains a longa (i.e., spans 4 bars);
       % therefore do not draw this particular bar
       \cadenzaOn
       \skip 1*4
       \cadenzaOff

       % let finis bar go through all staves
       \override Staff.BarLine #'transparent = ##f

       % finis bar
       \bar "||"
     }

     discantusNotes = {
       \relative c'' {
         \set Staff.instrument = "cantus  "
         \set Staff. midiInstrument = "choir aahs"
         % incipit (when generating midi turn the following short string of with %)
         \clef "petrucci-c1"
         r2 a1 gis2 \skip 1


         % main
         \clef "treble"
          r2 a1 gis2 |r4 a2 d c4 |%4

        b2 a4 c | b a gis2. a4 f1. e2 | %8

         c'4 c e2 | c4 c e2 | d4 c  d2 | c1 |  %12

        r4 c4  d d | e e  d8\melisma c b a \melismaEnd | gis4 a  b2 |a1 | %16

         e'1. d4 c | b2 gis |a1 |%20

        gis2. a4 | b b c1 b2 |e2 e |%24

         d1 | c4 e4. d8 d4 | r4 c2 b8\melisma a \melismaEnd |gis \melisma a b a gis f gis4\melismaEnd |%28

        a\longa

        r\breve | r1 | r2 a2 |%32

        b d | cis a | g4.\melisma f16 e\melismaEnd f4 d | e2 d |%36

        cis4 d e2 | d4 a' f e | d a' fis4. fis8 | g2. a4 | %40

        e2 fis4 a | fis e d a' | fis4. fis8  g2. fis4  %44

        e2 | fis  r4 g8 g | c4 c8 b  a4 g | fis g2 fis4 | %48

        g2 r4 b8 b | e4 e8 d  c4 b | gis a  b2 | a  c4 c | c2. b8 a %52

        gis4 gis2 a8 a | b4 g b c2 b8 a b2 |c4 e4. d8 c4 | %56

        b4 a2 a gis4 r4 e'4. d8  c4 b a4 | gis\melisma a2 gis4\melismaEnd |

        a\longa

       }
     }

     discantusLyrics = \lyricmode {
       % incipit
         A, las,

       % main
        A- las, what hope of spee- ding,

        wher hope be- guild lies blee- ding;

        She bad come, She bad come, when she spide mee:

        And when I came she flied mee, she flyde mee,

        Thus when I was be- gui- led,

        Thus when, thus when I was be- gui- led,

        she at my sigh- ing smi- led.


        But if you take such plea- sure,

        But if you take such plea- sure,

        Of hope and ioy, Of hope and ioy my trea- sure,

        Of hope and ioy, Of hope and ioy my trea- sure,

        By de- ceipt to be- reave mee, to be- reave mee,

        By de- ceipt to be- reave mee, to be- reave mee,

        By de- ceipt to be- reave mee,

        by de- ciept, By de- ceipt to be- reave mee,

        Love mee and so de- ceive mee.

        Love mee and so de- ceive mee.

     }

     altusNotes = {
       \relative c' {
         \set Staff.instrument = "Altus  "
         \set Staff. midiInstrument = "choir aahs"
         % incipit (when generating midi turn the following short string of with %)
         \clef "petrucci-c2"
         e1 e1 s1

         % main
         \clef "treble"
            e1 | e |e2 e4 f | e1 |%4

            e4 e e e |e2 e | d1. cis2 |%8

            a'4 a a c | g2 g | g4 e d2 | e r4 g4 |%12

            a a b b | c c, r4 f | e2 e | r2 c'1 %16

            b4 a | gis1 | r2 e2 | c2.\melisma d4\melismaEnd| %20

            e1. e2 | e4. d8 g4 g | g1 |%24

            g1. r2 | g4 g2 f4 | e f e2 |%28

            e\longa

            e1 | fis2 a | g f | e4 e fis2 |%32

            g2. f4 | e f e2 | d1 | r4 a'4 f4. f8 | %36

            e4 d cis2 | d r4 a'4 | f e d2. d4 cis\melisma d2 %40

            cis4\melismaEnd d2 |r4 a'4 f e | d2. d4 | cis\melisma d2 cis4\melismaEnd |%44

            d2. d8 d | e4 e8 d e4 e | d2. d4 | d2 e4 d |%48

            c4 g2 b8 b | e2. e8 e | e4 e e a | g2. g8 e |%52

            e4 e2 e8 e | g2 g4 g | g1 g2. a4 | e4 e f f | %56

            e2 e2. a4 e e | e e e2 | e\longa


       }
     }

     altusLyrics = \lyricmode {
       % incipit
        A, las,

       % main
        A- las, what hope of see- ding,

        wher hope be- guild lies blee- ding;

        She bad come, She bad come,

        when she spide mee:

        And when I came she flide mee, shee flyde mee,

        Thus when I was be- gui- led,

        Thus when I was be- gui- led,

        She at my sigh- ing smi- led.


        But if you take such plea- sure,

        But if you take such plea- sure,

        Of hope and ioy my trea- sure,

        Of hope and ioy my trea- sure,

        Of hope and ioy my trea- sure,

        By de- ceipt to be- rave me,

        By de- ceipt to be- rave me,

        By de- ceipt to be- rave me,

        By de- ceipt to be- rave me,

        By de- ceipt to be- rave me,

        Love mee and so de- ceive mee.

        Love mee and so de- ceive mee.
     }

     tenorNotes = {
       \relative  c' {
         \set Staff.instrument = "Tenor  "
         \set Staff. midiInstrument = "choir aahs"

         % incipit (when generating midi turn the following short string of with %)
         \clef "petrucci-c3"
         c1 b s1
         % main
         \clef "treble_8"

         c1 | b | r4 c2 b4. a8 a2\melisma gis4\melismaEnd |%4

         a4 a b c | b2 e, | a1 | a |%8

         a4 a c2 | e4 e c2 | b4 c2 b4 | c2 r2 |%12

         e2 g4. f8 | e4 g f8\melisma e d c \melismaEnd | b4 a2 gis4 | a1 |%16

         r1 | r4 b b a | gis4. a8 b2 | a2 c1 %20

         b4 a | gis2 r4 e'4 | c c d2. c4 c2.\melisma %24

         b8 a b2\melismaEnd | c4 g' g f | r4 e2 d8\melisma c\melismaEnd | b\melisma c d c b a b4\melismaEnd |%28

         cis\longa

         r1 | r2 a2 | b d | cis d |

         g,1 | a | r2 a2 | a a |

         a4 a a2 | a4 d, d' cis | d a a2 | g4 d a'1

         d,4 d | d' cis d a | a2 g4 d | a'1 |

         a2 r2 | r4 g8 g c4 c8 b | a4\melisma b a2\melismaEnd | b1 |

         r4 b8 b e2. d8 c b2 | cis c4 c |

         e2. d8 c | b4 b2 c8 c | d2 d4 e | d1 |

         e2 r4 e4. d8 c4 d4. c8 | b2 a | r4 e'4. d8 c4 |

         b a b2 | cis\longa

       }
     }

     tenorLyrics = \lyricmode {
       % incipit

        A, las,

       % main

        A- las, what hope of see- ding,

        Wher hope be- guild lies blee- ding;

        She bad come, She bad come,

        when she spide mee:

        And when I came shee flide mee, shee flyde mee,

        Thus when I was be- gui- led,

        Thus when I was, Thus when I was be- gui- led,

        She at my, sigh- ing smi- led.


        But if you take such plea- sure,

        But if you take such plea- sure,

        Of hope and ioy my trea- sure, my trea- sure,

        Of hope and ioy my trea- sure, my trea- sure,

        By de- ceipt to be- reave me,

        By de- ceipt to be- reave me,

        By de- ceipt to be- reave me,

        By de- ceipt to be- reave me,

        Love me and so de- ceive mee.

        Love me and so de- ceive mee.
     }

     bassusNotes = {
       \relative c {
         \set Staff.instrument = "Bassus  "
         \set Staff. midiInstrument = "choir aahs"

         % incipit (when generating midi turn the following short string of with %)
         \clef "varbaritone"
 \set Staff.clefGlyph = #"clefs-mensural-f"
        a'1 e1 s1

         % main
         \clef "bass"

            a1 | e | r4 a,4 c d | e1 |%4

            a,4 a' gis a | e2 cis | d1 | a |%8

            r2 a'4 a | c2 c,4 c | g'1 | c,4 c' c4. b8 |%12

            a4 a g8\melisma f e d\melismaEnd | c2 d | e1 |a,2 a'1 %16

            g4 f | e1. e2 | f1 |%20

            e1 | e | a2 g | e2. f4 | %24

            g1 | c,2 b | c d | e4 d e2 |%28

            a,\longa ^\fermata

            r\longa |

            r1 | r2 a2 | b d | cis d |

            a1 | d2 r4 a4 | d cis d2 | r4 b4 a2 |

            a2 r2 | r4 a4 d cis | d2 r4 b4 | a1 |

            d2 d4 g | c,2 c4 c | d1 | g2 e4 g |

            c, e2 e4 | e1 | a,2 a'4 a | c2. g8 a |

            e4 e2 a8 a | g2 g4 e | g1 | c,4 c'4. b8 a4 |

            gis4 a d,2 | e r4 c'4. b8 a4 gis a |e1 | a,\longa^\fermata


       }
     }

     bassusLyrics = \lyricmode {
       % incipit

        A, las,

       % main

        A- las, what hope of see- ding,

        Wher hope be- guild lies blee- ding;

        She bad come, when shee spide mee:

        And when I came shee flide mee, shee flyde mee,

        Thus when i was be- gui- led,

        Thus when I was be- gui- led,

        She at my sigh- ing smi- led.


        But if you take such plea- sure,

        Of hope and ioy my trea- sure,

        Of hope and ioy my trea- sure,

        By de- ceipt to be- reave me,

        By de- ceipt to be- reave me,

        By de- ceipt to be- reave me,

        By de- ceipt to be- reave me,

        Love me and so de- ceive mee.

        Love me and so de- ceive mee.
     }

     \score {
       \context StaffGroup = choirStaff <<
         \context Voice =
           discantusNotes << \global \discantusNotes >>
         \context Lyrics =
           discantusLyrics \lyricsto discantusNotes { \discantusLyrics }
         \context Voice =
           altusNotes << \global \altusNotes >>
         \context Lyrics =
           altusLyrics \lyricsto altusNotes { \altusLyrics }
         \context Voice =
           tenorNotes << \global \tenorNotes >>
         \context Lyrics =
           tenorLyrics \lyricsto tenorNotes { \tenorLyrics }
         \context Voice =
           bassusNotes << \global \bassusNotes >>
         \context Lyrics =
           bassusLyrics \lyricsto bassusNotes { \bassusLyrics }
       >>
%       \midi { \tempo 2=78 }
% to generate midi without sound for the incipiets in mensural notation:
% After or before generating the printable score, turn of the layouth block with %.
% turn on midi block by removing the %. Turn of the Incipits by adding % in the incipit strings for
% each part. Save and generate midi's by running lilypond. If score isn't generated restore by reversing
% the procedure.
       \layout {

         \context {
           \Score
           \override BarLine #'transparent = ##t
           \remove "System_start_delimiter_engraver"
         }
%         \context {
%           \Voice
%           \override Slur #'transparent = ##t
%         }
       }
     }
\paper{
%  hsize = 2\cm
   topmargin = 1\cm
    aftertitlespace= 1.5\cm
%  bottommargin = 3\cm
%  raggedlastbottom = ##t
    raggedbottom= ##t
}
